{% extends "ajax/soul/shell.html.twig" %}
{% block title %}{{'Meine Partien'|trans({}, 'game')}}{% endblock %}
{% block soul_content %}
    <div class="row">
        <div class="cell rw-10 ro-1">
            <div class="help">
                {{ 'In diesem Abschnitt findest du alle bisher von dir gespielten Partien.'|trans({}, 'soul') }}<br />
                {{ help_lnk('Der Tod und die Berechnung der Seelepunkte'|trans({}, 'help'), 'help', {'name': 'death_and_soul_points'}) }}
            </div>
        </div>
    </div>
    <div class="town-history">
        <div class="row-flex header">
            <div class="cell padded rw-1 center">
                {{'Saison'|trans({}, 'global')}}
            </div>
            <div class="cell padded rw-4">
                {{'Name der Stadt'|trans({}, 'game')}}
            </div>
            <div class="cell padded rw-1 center">
                {{'Überlebte Tage'|trans({}, 'global')}} {{ help_btn('In dieser Spalte werden die Anzahl der vollen Tage angezeigt, die jeder Bürger überlebt hat.Ein Tag gilt immer dann als &quot;vollkommen überlebt&quot;, <strong>wenn du beim Zombieangriff um 23:59 stirbst</strong>. Solltest du vorher - im Laufe des Tages - sterben, gilt der Tag nicht als überlebt..'|trans({}, 'game')|raw) }}
            </div>
            <div class="cell padded rw-6 center">
                {{'Abschiedsworte'|trans({}, 'global')}}
            </div>
        </div>
        <div class="town-container">
            {% for incarnation in towns %}
                {% if incarnation.citizen is null or not incarnation.citizen.alive %}
                    <div class="row-flex stretch {% if incarnation.town.type.name == 'panda' %}hardcore{% elseif incarnation.town.type.name == 'custom' %}custom{% endif %}">
                        <div class="cell padded rw-1 center season bold">
                            {% if incarnation.town.season is null %}
                                --
                            {% elseif incarnation.town.season.number == 0 and incarnation.town.season.subnumber <= 14 %}
                                {{ incarnation.town.language|upper }}-{{ incarnation.town.season.subNumber }}
                            {% elseif incarnation.town.season.number == 0 and incarnation.town.season.subnumber > 14 %}
                                BETA
                            {% else %}
                                {{ incarnation.town.season.number }}
                            {% endif %}
                        </div>
                        <div class="cell padded rw-4 town-name">
                            <div class="pointer" x-ajax-href="{{ path('soul_view_town',  {sid: app.user == incarnation.user ? 'me' : incarnation.user.id, idtown: incarnation.town.id, return_path: 'soul_game_history'}) }}" x-ajax-target="default">
                                <img src="{{ asset('build/images/icons/small_more.gif') }}" alt="+" /> {{ incarnation.town.name }}
                            </div>
                        </div>
                        <div class="cell padded rw-1 center town-days bold">
                            {{ incarnation.day }}
                            {% if incarnation.town.town is not null and incarnation.town.town.aliveCitizen %}
                                <span>
                                    <img alt="" src="{{asset('build/images/icons/small_new.gif')}}" />
                                    <div class="tooltip">
                                        {{ 'Es sind in dieser Stadt noch ein paar Bürger übrig...'|trans({}, 'soul') }}
                                    </div>
                                </span>
                            {% endif %}
                        </div>
                        <div class="cell padded rw-6 bold">
                            <input {% if incarnation.commentLocked %}readonly{% endif %} x-comment-town-id="{{ incarnation.id }}" type="text" class="comment" value="{{ incarnation.comment }}"/>
                            <button x-town-id="{{ incarnation.id }}" {% if incarnation.commentLocked %}disabled{% endif %} x-update-comment class="inline mt-1">{{ 'Bestätigen'|trans({}, 'global') }}</button>
                        </div>
                    </div>
                {% endif %}
            {% endfor %}
        </div>
    </div>

    <script>
        (function() {
            const add_comment = function(id) {
                let comment = document.querySelector("[x-comment-town-id='" + id + "']").value;
                let valid = (comment !== "")

                if (!valid) return;

                $.ajax.easySend( '{{ path('soul_add_comment') }}', {id: id, comment: comment},
                    function () {
                        $.ajax.load(null, '{{ path('soul_game_history') }}', true);
                    } );
            };

            let buttons = document.querySelectorAll('[x-update-comment]');
            for (let i = 0; i < buttons.length; i++)
                buttons[i].addEventListener('click', function(e) { e.preventDefault(); e.stopPropagation(); add_comment( this.getAttribute('x-town-id') ); });
        })();
    </script>
{% endblock %}